commit:     aa96c15996ccf76aa6421f994159f3916b50565e
Author:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 13 14:03:35 2014 +0000
Commit:     Ian Stakenvicius <axs <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 14:03:35 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/mozilla.git;a=commit;h=aa96c159

made 4.10.6 a regular ebuild and moved new multilib stuff to 4.10.6-r1

---
 .../{nspr-4.10.6.ebuild => nspr-4.10.6-r1.ebuild}  |  5 ---
 dev-libs/nspr/nspr-4.10.6.ebuild                   | 41 ++++++++--------------
 2 files changed, 14 insertions(+), 32 deletions(-)

diff --git a/dev-libs/nspr/nspr-4.10.6.ebuild 
b/dev-libs/nspr/nspr-4.10.6-r1.ebuild
similarity index 95%
copy from dev-libs/nspr/nspr-4.10.6.ebuild
copy to dev-libs/nspr/nspr-4.10.6-r1.ebuild
index 53b4f43..f874b0b 100644
--- a/dev-libs/nspr/nspr-4.10.6.ebuild
+++ b/dev-libs/nspr/nspr-4.10.6-r1.ebuild
@@ -24,13 +24,10 @@ RDEPEND="abi_x86_32? (
        )"
 
 src_prepare() {
-       # obsolete - mkdir build inst
        cd "${S}"/nspr
-       # obsolete - epatch "${FILESDIR}"/${PN}-4.6.1-lang.patch
        epatch "${FILESDIR}"/${PN}-4.7.0-prtime.patch
        epatch "${FILESDIR}"/${PN}-4.7.1-solaris.patch
        epatch "${FILESDIR}"/${PN}-4.10.6-solaris.patch
-       # epatch "${FILESDIR}"/${PN}-4.8.3-aix-gcc.patch
        epatch "${FILESDIR}"/${PN}-4.8.4-darwin-install_name.patch
        epatch "${FILESDIR}"/${PN}-4.8.9-link-flags.patch
        # We do not need to pass -L$libdir via nspr-config --libs
@@ -48,8 +45,6 @@ src_prepare() {
 }
 
 multilib_src_configure() {
-       #cd "${S}"/build
-
        # We use the standard BUILD_xxx but nspr uses HOST_xxx
        tc-export_build_env BUILD_CC
        export HOST_CC=${BUILD_CC} HOST_CFLAGS=${BUILD_CFLAGS} 
HOST_LDFLAGS=${BUILD_LDFLAGS}

diff --git a/dev-libs/nspr/nspr-4.10.6.ebuild b/dev-libs/nspr/nspr-4.10.6.ebuild
index 53b4f43..06d6929 100644
--- a/dev-libs/nspr/nspr-4.10.6.ebuild
+++ b/dev-libs/nspr/nspr-4.10.6.ebuild
@@ -5,7 +5,7 @@
 EAPI=5
 WANT_AUTOCONF="2.5"
 
-inherit autotools eutils multilib toolchain-funcs versionator multilib-minimal
+inherit autotools eutils multilib toolchain-funcs versionator
 
 MIN_PV="$(get_version_component_range 2)"
 
@@ -18,15 +18,10 @@ SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
 IUSE="debug"
 
-RDEPEND="abi_x86_32? (
-               !<=app-emulation/emul-linux-x86-baselibs-20140508-r9
-               !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
-       )"
-
 src_prepare() {
-       # obsolete - mkdir build inst
+       mkdir build inst
+
        cd "${S}"/nspr
-       # obsolete - epatch "${FILESDIR}"/${PN}-4.6.1-lang.patch
        epatch "${FILESDIR}"/${PN}-4.7.0-prtime.patch
        epatch "${FILESDIR}"/${PN}-4.7.1-solaris.patch
        epatch "${FILESDIR}"/${PN}-4.10.6-solaris.patch
@@ -47,8 +42,8 @@ src_prepare() {
                "${S}"/nspr/config/rules.mk || die
 }
 
-multilib_src_configure() {
-       #cd "${S}"/build
+src_configure() {
+       cd "${S}"/build
 
        # We use the standard BUILD_xxx but nspr uses HOST_xxx
        tc-export_build_env BUILD_CC
@@ -59,21 +54,14 @@ multilib_src_configure() {
                || unset CROSS_COMPILE
 
        local myconf
-       # use ABI first, this will work for most cases
-       case "${ABI}" in
-               x32) myconf+=" --enable-x32";;
-               s390x|*64) myconf+=" --enable-64bit";;
-               default) # no abi actually set, figure it out the old way
-                       einfo "Running a short build test to determine 
64bit'ness"
-                       echo > "${T}"/test.c
-                       ${CC} ${CFLAGS} ${CPPFLAGS} -c "${T}"/test.c -o 
"${T}"/test.o || die
-                       case $(file "${T}"/test.o) in
-                               *32-bit*x86-64*|*64-bit*|*ppc64*|*x86_64*) 
myconf+=" --enable-64bit";;
-                               *32-bit*|*ppc*|*i386*) ;;
-                               *) die "Failed to detect whether your arch is 
64bits or 32bits, disable distcc if you're using it, please";;
-                       esac ;;
-               *) ;;
-       esac
+       einfo "Running a short build test to determine 64bit'ness"
+        echo > "${T}"/test.c
+        ${CC} ${CFLAGS} ${CPPFLAGS} -c "${T}"/test.c -o "${T}"/test.o || die
+        case $(file "${T}"/test.o) in
+                *32-bit*x86-64*|*64-bit*|*ppc64*|*x86_64*) myconf+=" 
--enable-64bit";;
+                *32-bit*|*ppc*|*i386*) ;;
+                *) die "Failed to detect whether your arch is 64bits or 
32bits, disable distcc if you're using it, please";;
+        esac
 
        # Ancient autoconf needs help finding the right tools.
        LC_ALL="C" ECONF_SOURCE="${S}/nspr" \
@@ -85,7 +73,7 @@ multilib_src_configure() {
                ${myconf}
 }
 
-multilib_src_install() {
+src_install() {
        # Their build system is royally confusing, as usual
        MINOR_VERSION=${MIN_PV} # Used for .so version
        emake DESTDIR="${D}" install
@@ -94,7 +82,6 @@ multilib_src_install() {
        rm -f "${ED}"/usr/$(get_libdir)/*.a || die "failed to remove static 
libraries."
 
        # install nspr-config
-       is_final_abi && \
        dobin config/nspr-config
 
        # Remove stupid files in /usr/bin

Reply via email to